## org.apache.xerces.impl.validation
Interface EntityState

All Known Implementing Classes:
  DTDGrammar

public interface EntityState

The entity state interface defines methods that must be implemented by components that store information about entity declarations, as well as by entity validator that will need to validate attributes of type entity.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: EntityState.java 446719 2006-09-15 20:32:39Z mrglavas $
Author:
  Elena Litani, IBM

Method Summary
`boolean` `isEntityDeclared(java.lang.String name)` Query method to check if entity with this name was declared.
`boolean` `isEntityUnparsed(java.lang.String name)` Query method to check if entity is unparsed.

Method Detail

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

  Query method to check if entity with this name was declared.
  Parameters:
    `name` -
  Returns:
    true if name is a declared entity

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

  Query method to check if entity is unparsed.
  Parameters:
    `name` -
  Returns:
    true if name is an unparsed entity

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.